Skip to main content
GET
https://api.aisa.one/apis/v1
/
pinterest
/
user
/
boards
User Boards
curl --request GET \
  --url https://api.aisa.one/apis/v1/pinterest/user/boards \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "boards": [
    {
      "id": "549580029467577434",
      "url": "https://www.pinterest.com/sharat24k/turkey-recipes/",
      "description": "",
      "follower_count": 292,
      "pin_count": 545,
      "name": "Turkey Recipes",
      "image_cover_hd_url": "https://i.pinimg.com/474x/45/00/df/4500dfc5bc8bbc15137ff9d9abf04cc1.jpg",
      "created_at": "Mon, 17 Feb 2025 02:19:26 +0000"
    }
  ],
  "cursor": "LT41NDk1ODAwMjk0Njc1Njc1O...."
}
All boards belonging to a user handle.

Example

curl "https://api.aisa.one/apis/v1/pinterest/user/boards?handle=VALUE" \
  -H "Authorization: Bearer YOUR_API_KEY"

Authorizations

Authorization
string
header
required

AIsa API key. Get yours at https://aisa.one

Query Parameters

handle
string
required

The username of the user to get boards for. (e.g. broadstbullycom from https://www.pinterest.com/broadstbullycom/)

trim
boolean

Set to true for a trimmed down version of the response

Response

200 - application/json

Successful response